﻿@model IEnumerable<MIMS.Portal.ViewModels.Terminal.TerminalViewModel>
@using MIMS.Portal.Core.Domains;
@using MIMS.Portal.Commons.Extensions;

@{
    ViewData["PageTitle"] = "بررسی اطلاعات پایانه‌ها";
}

<section>
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    <h5 class="card-title">فهرست</h5>
                </div>
                <div class="card-body">
                    <div class="card-block">
                        <div class="table-responsive">
                            <table class="table table-hover header-border text-nowrap">
                                <thead class="thead-inverse">
                                    <tr>
                                        <th>@Html.DisplayNameFor(model => model.CreatedDate)</th>
                                        <th>@Html.DisplayNameFor(model => model.MerchantFullName)</th>
                                        <th>@Html.DisplayNameFor(model => model.BankAccountId)</th>
                                        <th>@Html.DisplayNameFor(model => model.StoreId)</th>
                                        <th>@Html.DisplayNameFor(model => model.TerminalType)</th>
                                        <th>@Html.DisplayNameFor(model => model.PspProvider)</th>
                                        <th>@Html.DisplayNameFor(model => model.DeviceConnectionType)</th>
                                        <th class="no-sort"><em class="fa fa-cog"></em></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach (var item in Model)
                                    {
                                        <tr>
                                            <td><span dir="ltr">@item.CreatedDate.ToPeString()</span></td>
                                            <td>@item.MerchantFullName</td>
                                            <td>@item.BankAccountFullName</td>
                                            <td>@item.StoreFullName</td>
                                            <td>@Html.DisplayFor(modelItem => item.TerminalType)</td>
                                            <td>@Html.DisplayFor(modelItem => item.PspProvider)</td>
                                            <td>@Html.DisplayFor(modelItem => item.DeviceConnectionType)</td>
                                            <td>
                                                <a asp-action="Review" asp-controller="Terminals" asp-route-id="@item.Id" class="btn btn-secondary fa fa-fw fa-eye" data-toggle="tooltip" title="جزئیات"></a>
                                            </td>
                                        </tr>
                                    }
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <div class="card-footer">
                    <small>
                        آخرین بروز رسانی لحظاتی پیش
                    </small>
                </div>
            </div>
        </div>
    </div>
</section>